Redmine - Patch #34159

Update RuboCop Performance to 1.10
2020-10-24 03:54 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 4.2.0

Description

Since Redmine dropped the support for Ruby 2.3, we can update RuboCop Performance from 1.5 to 1.8.

Index: Gemfile

-—— Gemfile (o000 20172)
+++ Gemfile ({oooon)
@@ -93,7 +93,7 @@

gem "selenium-webdriver"

# RuboCop
gem 'rubocop', '~> 1.0.0'
- gem 'rubocop-performance', '~> 1.5.0'
+ gem 'rubocop-performance', '~> 1.8.0'
gem 'rubocop-rails', '~> 2.8.0'
end

Associated revisions

Revision 20174 - 2020-10-24 04:19 - Go MAEDA
Update RuboCop Performance to 1.8 (#34159).

Revision 20582 - 2020-12-06 02:42 - Go MAEDA
Update RuboCop Performance to 1.9 (#34159).

Revision 20759 - 2021-03-02 03:09 - Go MAEDA
Update RuboCop Performance to 1.10 (#34159).

History

#1 - 2020-10-24 04:19 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 4.2.0

Committed the patch.

#2 - 2020-12-06 02:43 - Go MAEDA
- Subject changed from Update RuboCop Performance to 1.8 to Update RuboCop Performance to 1.9

Updated RuboCop Performance to 1.9 in r20582.

#3 - 2021-03-02 03:10 - Go MAEDA
- Subject changed from Update RuboCop Performance to 1.9 to Update RuboCop Performance to 1.10

Updated RuboCop Performance to 1.10 in r20759.

2025-05-01

1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/20582
https://www.redmine.org/projects/redmine/repository/svn/revisions/20759
http://www.tcpdf.org

